Go
package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"github.com/livepeer/livepeer-go/models/components"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Room.CreateUser(ctx, "<id>", components.RoomUserPayload{
Name: "name",
CanPublish: livepeergo.Bool(true),
CanPublishData: livepeergo.Bool(true),
})
if err != nil {
log.Fatal(err)
}
if res.RoomUserResponse != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.room.create_user(id="<id>", room_user_payload={
"name": "name",
"can_publish": True,
"can_publish_data": True,
})
if res.room_user_response is not None:
# handle response
passcurl --request POST \
--url https://livepeer.studio/api/room/{id}/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "name",
"canPublish": true,
"canPublishData": true,
"metadata": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'name', canPublish: true, canPublishData: true, metadata: '<string>'})
};
fetch('https://livepeer.studio/api/room/{id}/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d32ae9e6-c459-4931-9898-e86e2f5e7e16",
"joinUrl": "https://meet.livepeer.chat",
"token": "token"
}{
"errors": [
[
"id not provided",
"Account not found"
]
]
}Rooms
Create Room User
deprecated
Livepeer Studio API endpoint
POST
/
room
/
{id}
/
user
Go
package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"github.com/livepeer/livepeer-go/models/components"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Room.CreateUser(ctx, "<id>", components.RoomUserPayload{
Name: "name",
CanPublish: livepeergo.Bool(true),
CanPublishData: livepeergo.Bool(true),
})
if err != nil {
log.Fatal(err)
}
if res.RoomUserResponse != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.room.create_user(id="<id>", room_user_payload={
"name": "name",
"can_publish": True,
"can_publish_data": True,
})
if res.room_user_response is not None:
# handle response
passAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Success
The ID of the user
Example:
"d32ae9e6-c459-4931-9898-e86e2f5e7e16"
Joining URL - use this for Livepeer's default meeting app (see the multiparticipant streaming guide for more info).
Example:
"https://meet.livepeer.chat"
Joining JWT - this can be used if you have a custom meeting app (see the multiparticipant streaming guide for more info).
Example:
"token"
Last modified on May 4, 2026
Was this page helpful?
⌘I